Package com.avaya.clientservices.call.feature

## Interface TeamButton

-     public interface TeamButton

  Represents team button feature. A monitoring station can perform speed dial or pick up a call on the monitoring extension. This object is provided with notification whenever the status changes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDelayInterval()` | Deprecated. Use `TeamButtonIncomingCall.getDelayInterval()` instead.
    `java.lang.String` | `getForwardingDestination()` |
    `ForwardingOverride` | `getForwardingOverride()` | Specifies whether the forwarding destination of monitored station will be ignored by Team Button speed dial invocation if any of forwarding features are enabled on the monitored station.
    `java.lang.String` | `getLabel()` |
    `java.lang.String` | `getOwnerExtension()` |
    `Capability` | `getPickupCapability()` |
    `RingType` | `getPickupRingType()` |
    `Capability` | `getSpeedDialCapability()` |
    `java.util.List<TeamButtonIncomingCall>` | `getTeamButtonIncomingCalls()` |
    `boolean` | `isBusy()` | Indicates whether the monitored station has an active call.
    `boolean` | `isForwardingEnabled()` | Shows whether the monitored station has forwarding enabled.
    `boolean` | `isPickupByGoingOffHookEnabled()` | Indicates whether to pickup the currently selected call in the screen after going off hook when the Team Pickup screen is displayed.
    `boolean` | `isSilentIfActive()` | Indicates whether the Team Button audible alert should not be played if the monitoring station has at least one call appearance active.
    `void` | `setPersonalizedLabel​(java.lang.String featureLabel, FeatureLabelCompletionHandler completionHandler)` | Updates the team button with personalized label given by user.
    `void` | `speedDial​(boolean bOverride, FeatureCompletionHandler completionHandler)` | Initiates team button speed dial.

- - ### Method Detail

    - #### speedDial

          void speedDial​(boolean bOverride,
                         FeatureCompletionHandler completionHandler)

      Initiates team button speed dial.
      Parameters:
        `bOverride` - Specifies whether the forwarding destination of monitored station will be overridden depending on the override policy.
        `completionHandler` - A completion handler to call when the operation has completed may be null.
      See Also:
        `getForwardingOverride()`

    - #### setPersonalizedLabel

          void setPersonalizedLabel​(java.lang.String featureLabel,
                                    FeatureLabelCompletionHandler completionHandler)

      Updates the team button with personalized label given by user.
      Parameters:
        `featureLabel` - The personalized label to be set
        `completionHandler` - A completion handler that received the result of the operation

    - #### getLabel

          java.lang.String getLabel()

      Returns:
        the the label of team button.

    - #### getOwnerExtension

          java.lang.String getOwnerExtension()

      Returns:
        the extension of monitored station.

    - #### getForwardingOverride

          ForwardingOverride getForwardingOverride()

      Specifies whether the forwarding destination of monitored station will be ignored by Team Button speed dial invocation if any of forwarding features are enabled on the monitored station. If set to ask, the client can override the forwarding destination using the bOverride argument of `speedDial(boolean, com.avaya.clientservices.call.feature.FeatureCompletionHandler)`.
      Returns:
        ForwardingOverride
      See Also:
        `isForwardingEnabled()`, `getForwardingDestination()`

    - #### getForwardingDestination

          java.lang.String getForwardingDestination()

      Returns:
        the rerouting destination of the monitored station.
      See Also:
        `isForwardingEnabled()`

    - #### isForwardingEnabled

          boolean isForwardingEnabled()

      Shows whether the monitored station has forwarding enabled. Rerouting is considered active if Send All Calls, Call Forward or Enhanced Call Forward have active forwarding.
      Returns:
        true if the monitored station has forwarding enabled.
      See Also:
        `getForwardingDestination()`

    - #### isBusy

          boolean isBusy()

      Indicates whether the monitored station has an active call.
      Returns:
        true if the monitored station has an active call.

    - #### isPickupByGoingOffHookEnabled

          boolean isPickupByGoingOffHookEnabled()

      Indicates whether to pickup the currently selected call in the screen after going off hook when the Team Pickup screen is displayed.
      Returns:
        true if pickup by going off-hook enabled.

    - #### isSilentIfActive

          boolean isSilentIfActive()

      Indicates whether the Team Button audible alert should not be played if the monitoring station has at least one call appearance active.
      Returns:
        true if the Team Button audible alert should not be played.

    - #### getDelayInterval

          @Deprecated
          int getDelayInterval()

      Deprecated.
      Use `TeamButtonIncomingCall.getDelayInterval()` instead.
      Returns:
        the delay interval in seconds the team button alert should be delayed by if the `RingType` is set to DELAYED.

    - #### getPickupRingType

          RingType getPickupRingType()

      Returns:
        the team button call pickup ring types if configured. The possible values are with the according CM setting values: Off - No ringing - 'n' On - Continuous ringing - 'r' Delayed - Delayed ringing - 'd' Abbreviated - Abbreviated (single) ringing - 'a' InterCom - Intercom ringing - 'i' Delayed ring type means the team button alert should be delayed by actual delay time that can be retrieved using `getDelayInterval()`.
      See Also:
        `RingType`

    - #### getTeamButtonIncomingCalls

          java.util.List<TeamButtonIncomingCall> getTeamButtonIncomingCalls()

      Returns:
        Collection representing the incoming calls on monitored extension.

    - #### getPickupCapability

          Capability getPickupCapability()

      Returns:
        A capability object indicating whether the user can pick up the Team button call. Allowed when the monitoring station has at least one incoming ringing call. Mutual exclusive with SpeedDial capability that can be retrieved using `getSpeedDialCapability()`.

    - #### getSpeedDialCapability

          Capability getSpeedDialCapability()

      Returns:
        A capability object indicating whether the user can initiate speed dial using the Team button. Allowed when the monitoring station has no incoming ringing calls. Mutual exclusive with Pickup capability that can be retrieved using `getPickupCapability()`.